# StageLogSetActive

This function determines whether events will be logged during this state.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT StageLogSetActive(StageLog stageLog, int stage, PetscTruth isActive)

Not Collective

### Input Parameters

| stageLog | - The StageLog
| stage | - The stage to log
| isActive | - The activity flag, PETSC_TRUE for logging, otherwise PETSC_FALSE (default is PETSC_TRUE)

### Keywords

log, active, stage

### See Also

StageLogGetActive(), StageLogGetCurrent(), StageLogRegister(), PetscLogGetStageLog()

Level:intermediate
Location: src/sys/plog/utils/stageLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages